Package org.opensaml.saml.ext.reqattr

# Interface RequestedAttributes

All Superinterfaces:
  `SAMLObject`, `XMLObject`

All Known Implementing Classes:
  `RequestedAttributesImpl`

public interface RequestedAttributes extends SAMLObject
SAML V2.0 Protocol Extension For Requesting Attributes Per Request.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Name of the element inside the Extensions.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final QName`
`SUPPORTS_REQUESTED_ATTRIBUTES`
QName of the XSI type.
`static final String`
`SUPPORTS_REQUESTED_ATTRIBUTES_LOCAL_NAME`
Local name of the supportsRequestedAttributes attribute.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.

## Method Summary

Modifier and Type
Method
Description
`List<RequestedAttribute>`
`getRequestedAttributes()`
Gets a list of child `RequestedAttribute`s.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull @NotEmpty static final String DEFAULT_ELEMENT_LOCAL_NAME
Name of the element inside the Extensions.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull @NotEmpty static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### SUPPORTS_REQUESTED_ATTRIBUTES_LOCAL_NAME

@Nonnull @NotEmpty static final String SUPPORTS_REQUESTED_ATTRIBUTES_LOCAL_NAME
Local name of the supportsRequestedAttributes attribute.

See Also:
  - Constant Field Values

### SUPPORTS_REQUESTED_ATTRIBUTES

@Nonnull static final QName SUPPORTS_REQUESTED_ATTRIBUTES
QName of the XSI type.

## Method Details

### getRequestedAttributes

@Nonnull @Live List<RequestedAttribute> getRequestedAttributes()
Gets a list of child `RequestedAttribute`s.

Returns:
  list of child RequestedAttribute s